<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/ActionGagTarget.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d07/_action_gag_target_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionGagTarget.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d07/_action_gag_target_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d5/d86/class_action_gag_target.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d5/d86/class_action_gag_target.html">ActionGagTarget</a>: <a class="code hl_class" href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{   </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d5/d86/class_action_gag_target.html#ae78ec5e0f06193b9fd8b5f100a0b63cb">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d86/class_action_gag_target.html#ae78ec5e0f06193b9fd8b5f100a0b63cb">ActionGagTarget</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">m_CallbackClass</a> = <a class="code hl_class" href="../../de/d94/class_action_cover_head_target_c_b.html">ActionCoverHeadTargetCB</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_COVERHEAD_TARGET;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <span class="comment">//m_FullBody = true;</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT | <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_CROUCH;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> = <a class="code hl_class" href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a>.<a class="code hl_variable" href="../../d0/dbd/class_u_a_soft_skills_weight.html#a123369fe4d5de03cd63e4a047eb71f3b">ROUGH_LOW</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#gag_person&quot;</span>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d5/d86/class_action_gag_target.html#a18505096878b7334bdd8745a19645215">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d86/class_action_gag_target.html#a18505096878b7334bdd8745a19645215">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {   </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../db/dad/class_c_c_t_man.html">CCTMan</a>(<a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a>);     </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d5/d86/class_action_gag_target.html#ab6a75e06df3d1c52c5ab5079a61332e5">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d86/class_action_gag_target.html#ab6a75e06df3d1c52c5ab5079a61332e5">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">if</span> (item.GetQuantity() &gt; 1)</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> targetPlayer;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(targetPlayer, target.GetObject());</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d5/d86/class_action_gag_target.html#af699dcff81570f69f13fee67d3ca4325">IsWearingMask</a>(targetPlayer) ) </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> headgear = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(targetPlayer.FindAttachmentBySlotName( <span class="stringliteral">&quot;Headgear&quot;</span> ));</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <span class="keywordflow">if</span> ( headgear )</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                <span class="keywordtype">bool</span> headgear_restricted;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>                headgear_restricted = headgear.ConfigGetBool( <span class="stringliteral">&quot;noMask&quot;</span> );</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                <span class="keywordflow">if</span> (headgear_restricted)</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d5/d86/class_action_gag_target.html#a7ccd3487307c08191c696dff52a05735">   45</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d86/class_action_gag_target.html#a7ccd3487307c08191c696dff52a05735">OnFinishProgressServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {   </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> ntarget;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(ntarget, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject());</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        ntarget.GetInventory().CreateInInventory(<span class="stringliteral">&quot;MouthRag&quot;</span>);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        MouthRag m_Gag = MouthRag.Cast(ntarget.GetItemOnSlot(<span class="stringliteral">&quot;Mask&quot;</span>));</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">if</span> (m_Gag)</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            m_Gag.SetHealth01(<span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;&quot;</span>, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.GetHealth01(<span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;&quot;</span>));</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            ntarget.CheckForGag();</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.TransferModifiers(ntarget);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.Delete();</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="comment">//action_data.m_Player.GetSoftSkillsManager().AddSpecialty( m_SpecialtyWeight );</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d5/d86/class_action_gag_target.html#af699dcff81570f69f13fee67d3ca4325">   64</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d86/class_action_gag_target.html#af699dcff81570f69f13fee67d3ca4325">IsWearingMask</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">if</span> ( player.GetInventory().FindAttachment(<a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.MASK) )</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a37c66588f056fd9eb9eb3a4c4890083d"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a></div><div class="ttdeci">protected float m_SpecialtyWeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00068">ActionBase.c:68</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="aclass_action_continuous_base_html"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00131">ActionContinuousBase.c:132</a></div></div>
<div class="ttc" id="aclass_action_cover_head_target_c_b_html"><div class="ttname"><a href="../../de/d94/class_action_cover_head_target_c_b.html">ActionCoverHeadTargetCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/ddb/_action_cover_head_target_8c_source.html#l00001">ActionCoverHeadTarget.c:2</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_action_gag_target_html"><div class="ttname"><a href="../../d5/d86/class_action_gag_target.html">ActionGagTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d07/_action_gag_target_8c_source.html#l00001">ActionGagTarget.c:2</a></div></div>
<div class="ttc" id="aclass_action_gag_target_html_a18505096878b7334bdd8745a19645215"><div class="ttname"><a href="../../d5/d86/class_action_gag_target.html#a18505096878b7334bdd8745a19645215">ActionGagTarget::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d07/_action_gag_target_8c_source.html#l00013">ActionGagTarget.c:13</a></div></div>
<div class="ttc" id="aclass_action_gag_target_html_a7ccd3487307c08191c696dff52a05735"><div class="ttname"><a href="../../d5/d86/class_action_gag_target.html#a7ccd3487307c08191c696dff52a05735">ActionGagTarget::OnFinishProgressServer</a></div><div class="ttdeci">override void OnFinishProgressServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d07/_action_gag_target_8c_source.html#l00045">ActionGagTarget.c:45</a></div></div>
<div class="ttc" id="aclass_action_gag_target_html_ab6a75e06df3d1c52c5ab5079a61332e5"><div class="ttname"><a href="../../d5/d86/class_action_gag_target.html#ab6a75e06df3d1c52c5ab5079a61332e5">ActionGagTarget::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d07/_action_gag_target_8c_source.html#l00020">ActionGagTarget.c:20</a></div></div>
<div class="ttc" id="aclass_action_gag_target_html_ae78ec5e0f06193b9fd8b5f100a0b63cb"><div class="ttname"><a href="../../d5/d86/class_action_gag_target.html#ae78ec5e0f06193b9fd8b5f100a0b63cb">ActionGagTarget::ActionGagTarget</a></div><div class="ttdeci">void ActionGagTarget()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d07/_action_gag_target_8c_source.html#l00003">ActionGagTarget.c:3</a></div></div>
<div class="ttc" id="aclass_action_gag_target_html_af699dcff81570f69f13fee67d3ca4325"><div class="ttname"><a href="../../d5/d86/class_action_gag_target.html#af699dcff81570f69f13fee67d3ca4325">ActionGagTarget::IsWearingMask</a></div><div class="ttdeci">bool IsWearingMask(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d07/_action_gag_target_8c_source.html#l00064">ActionGagTarget.c:64</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a7bce84f3ceb181aacfabdfb000c56461"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">AnimatedActionBase::m_CallbackClass</a></div><div class="ttdeci">protected m_CallbackClass</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00127">AnimatedActionBase.c:127</a></div></div>
<div class="ttc" id="aclass_c_c_i_non_ruined_html"><div class="ttname"><a href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d96/_c_c_i_non_ruined_8c_source.html#l00001">CCINonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_man_html"><div class="ttname"><a href="../../db/dad/class_c_c_t_man.html">CCTMan</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d3c/_c_c_t_man_8c_source.html#l00001">CCTMan.c:2</a></div></div>
<div class="ttc" id="aclass_inventory_slots_html"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html">InventorySlots</a></div><div class="ttdoc">provides access to slot configuration</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc1/_inventory_slots_8c_source.html#l00005">InventorySlots.c:6</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_aef260d89bc0f791bc7c313cae73f8450"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00104">ActionConstants.c:104</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00115">ActionConstants.c:116</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html_a123369fe4d5de03cd63e4a047eb71f3b"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html#a123369fe4d5de03cd63e4a047eb71f3b">UASoftSkillsWeight::ROUGH_LOW</a></div><div class="ttdeci">const float ROUGH_LOW</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00117">ActionConstants.c:117</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_c32df7f94f13da663005da9ea489a0b6.html">Continuous</a></li><li class="navelem"><a class="el" href="../../de/d07/_action_gag_target_8c.html">ActionGagTarget.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
